/**
 * TabellenZuruecksetzen.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.KeyStroke;

import eu.gronos.kostenrechner.view.baumbach.StreitgenossenPanel;
import eu.gronos.kostenrechner.view.forderungen.ForderungsStaffelungPanel;
import eu.gronos.kostenrechner.view.gebuehren.GebuehrenBerechnungPanel;
import eu.gronos.kostenrechner.view.gebuehren.TeilklageruecknahmePanel;

/**
 * Die Klasse setzt alle Tabellen wieder in den Ursprungszustand zurück und
 * schaltet dazu auch die Anzeige von Widerklagen aus. {@link KeyEvent#VK_Z}
 *
 * @author Peter Schuster (setrok)
 * @version
 * @date 11 Nov 2018
 *
 */
public class TabellenZuruecksetzenAction extends BeschriebeneAktion {
	private static final long serialVersionUID = 8105321861085009090L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param acceleratorKey
	 */
	public TabellenZuruecksetzenAction(String name, String shortDescription, int mnemonic, String actionCommandKey,
			KeyStroke acceleratorKey) {
		super(name, shortDescription, mnemonic, actionCommandKey, acceleratorKey);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		// setzeStandardGebuehren(false);
		TeilklageruecknahmePanel.getInstance().leereWerte();
		/*
		 * widerklageAnzeigen muss richtig gesetzt werden, bevor die Tabellen gesetzt
		 * werden
		 */
		// setzeBaumbachTabellen();
		StreitgenossenPanel.getInstance().setWiderKlageAnzeigen(false);
		StreitgenossenPanel.getInstance().leereWerte();
		// setzeForderungsTabellen();
		ForderungsStaffelungPanel.getInstance().leereWerte();
		// setzeGebuehrenRechnerTabelle(0);
		GebuehrenBerechnungPanel.getInstance().leereWerte();
	}
}