/**
 * BeendenAction.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

/**
 * Der AbstractAction mit dem Namen beenden beendet Kostentenor.
 * {@link KeyEvent#VK_E}
 *
 * @author Peter Schuster (setrok)
 * @version
 * @date 11 Nov 2018
 *
 */
public class BeendenAction extends BeschriebeneAktion {
	private static final long serialVersionUID = -2268718567794925181L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 */
	public BeendenAction(String name, String shortDescription, int mnemonic, String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		BeendenHorcher.beendeKostenrechner();
	}
}