/**
 * InfoAction.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import eu.gronos.kostenrechner.view.AktionenJMenu;

/**
 * Der AbstractAction mit dem Namen ueberAction zeigt Informationen über das
 * Programm an. {@link KeyEvent#VK_U}
 *
 * @author Peter Schuster (setrok)
 * @version
 * @date 11 Nov 2018
 *
 */
public class InfoAction extends BeschriebeneAktion {
	private static final long serialVersionUID = -7370964238649394812L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 */
	public InfoAction(String name, String shortDescription, int mnemonic, String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		AktionenJMenu.ueberKostenrechner();
	}
}