/**
 * SpeichereSkktx.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.files;

import java.awt.event.ActionEvent;

import javax.swing.KeyStroke;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.controller.VerfahrensDatenContainer;
import eu.gronos.kostenrechner.view.BerechnungLadenSpeichernDialog;
import eu.gronos.kostenrechner.view.DateiJMenu;

/**
 * Action, die die Daten aller Registerkarten für spätere Berechnungen
 * abspeichert
 *
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class SpeichereSkktxAction extends BeschriebeneAktion {
	private final DateiJMenu menu;
	private static final long serialVersionUID = 8642800626569995070L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param acceleratorKey
	 * @param menu             TODO
	 */
	public SpeichereSkktxAction(DateiJMenu menu, String name, String shortDescription, int mnemonic,
			String actionCommandKey, KeyStroke acceleratorKey) {
		super(name, shortDescription, mnemonic, actionCommandKey, acceleratorKey);
		this.menu = menu;
	}

	@Override
	public void actionPerformed(ActionEvent ae) {
		final VerfahrensDatenContainer container = new VerfahrensDatenContainer2GUI().leseAlleWertefuerContainer();
		final BerechnungLadenSpeichernDialog db = new BerechnungLadenSpeichernDialog();
		db.speicherXmlDialog(this.menu.getKostenrechner(), container);
	}
}